this.name 			= "pods_breachPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Script for an exploding pod, causing damage plus a hull breach and cargo loss";
this.version 		= "2.5.5";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(breach)";
		if (!type) { // initialise RFID-broken breach pod: set content (type, 1)
			// initialise breach / set 1 firearms in the breach pod for NPC : quantity = 1; // radioactives / alien_items / firearms
			if (scr.isPlayer) {
				type = "radioactives";
			} else {
				type = "firearms";
			} // used --> displayNameForCommodity
			// set a barrel
			itm.setCargo(type, quantity);
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
		} else { // pre-set cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
		}

		wp._delayedRemoveCargo(scr, itm, 0.75);
		//msg = wp._msgCargo(type, quantity); // breach pod / has_scoop_message = yes //player.consoleMessage(msg, 6); // wp._delayedMsg(msg, 1);

		// events and messages : damage in both events
		if (scr.isPlayer) {
			msg = "ALERT - Emergency repair systems activated.";
			wp._delayedMsg_breachPod(msg, 4); // damage + hullBreach + msg
		} else {
			wp._addHullBreachRoutines(scr); // setup : damage + hullBreach
			if (wp.npc_message) {
				if (Math.random() > 0.5) {
					msg = "Who transported it is bad " + expandDescription('[pods_radioactives]') + " as " + displayNameForCommodity(type) + "?";
				} else {
					msg = "Help, it is deadly " + displayNameForCommodity(type) + "! Hull breach...";
				}
				scr.commsMessage(msg);
			}
		}
		if (this.logging) log(this.name, n + " scooped a breach pod: " + type);
	}
}
