this.name 			= "pods_explodingPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Script for an exploding pod. No cargo loss, just damage to ship and scoops destroyed";
this.version 		= "2.5.5";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(exploding)";
		if (!type) { // initialise RFID-broken exploding pod: set content (null, 1)
			// initialise an exploding cargo : type = "null"; quantity = 0; // set a barrel : null set
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
		} else { // pre-set cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
			// delete a barrel
			wp._delayedRemoveCargo(scr, itm, 0.75);
		}

		// events and messages : exploded in both events
		if (scr.isPlayer) {
			msg = "ALERT - Pod cracked and exploded during scooping. Scoops destroyed!";
			wp._delayedMsg_expPod(msg, 2);
		} else {
			scr.removeEquipment("EQ_FUEL_SCOOPS");
			if (wp.npc_message) {
				if (Math.random() > 0.5) {
					msg = expandDescription('[msg_exploding]');
				} else {
					msg = "It is bad cannister for " + expandDescription('[pods_firearms]') + "!";
				}
				scr.commsMessage(msg);
			}
		}
		if (this.logging) log(this.name, n + " scooped a exploded pod: " + type);
	}
}
