this.name 			= "pods_jamPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Script to jam a pod in the fuel scoops, disabling them";
this.version 		= "2.5.5";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(jam)";
		if (!type) { // initialise RFID-broken jammed pod: set content (null, 1)
			// jammed cargo : type = "null"; quantity = 0; // set a barrel : null set
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
		} else { // pre-set cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");
			// delete a barrel
			wp._delayedRemoveCargo(scr, itm, 0.75);
		}

		// events and messages : jammed in both events
		if (scr.isPlayer) {
			msg = "ALERT - Cargo pod jammed in fuel scoops. Scoops disabled.";
			wp._delayedMsg_jamPod(msg, 2);
		} else {
			scr.setEquipmentStatus("EQ_FUEL_SCOOPS", "EQUIPMENT_DAMAGED");
			if (wp.npc_message) {
				msg = expandDescription('[msg_jamming]');
				scr.commsMessage(msg);
			}
		}
		if (this.logging) log(this.name, n + " scooped a jammed pod: " + type);
	}
}
