this.name 			= "pods_retryPod";
this.author 		= "Thargoid";
this.copyright 		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description 	= "Script to cause pod scooping frustration";
this.version 		= "2.5.5";

this.logging = false; // false for release

this.shipWasScooped = function (scooper) {
	"use strict";
	// initialise scooper
	var n, scr = scooper;
	if (scr.isPlayer) {
		n = "player";
	} else {
		n = "npc";
	}
	// initialise item
	var itm = this.ship;
	var dk = itm.dataKey;
	var pr = itm.primaryRole;

	var wp = worldScripts.pods;
	if (wp) {
		var cargo, msg, tc; //  "1t-cargopod"
		let type = itm.commodity;
		let quantity = parseInt(itm.commodityAmount);

		tc = pr + "(retry)";
		if (!type) { // initialise RFID-broken 1t-cargopod: set content (null, 0)
			// retry pod : type = "null"; quantity = 0;
			if (this.logging) log(this.name, "initialised a " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// all types of retrypod spawned random standart 1t-cargopod
			var p;
			if (itm && itm.hasRole("pods_UPS_retryPod")) {
				p = scr.spawn("[ups-barrel]", 1);
			} else if (itm && itm.hasRole("pods_CCL_retryPod")) {
				p = scr.spawn("[ccl_crateB]", 1);
			} else if (itm && itm.hasRole("pods_CWT_retryPod")) {
				p = scr.spawn("[hexapod_c]", 1);
			} else {
				p = scr.spawn("[barrel]", 1);
			}
			if (p && type && quantity) p[0].setCargo(type, quantity); // else error
			if (scr.isPlayer) wp._delayedMsg("ALERT - Cargo pod misaligned in scoops. Ejecting - please retry.", 2);
		} else { // pre-set cargopod
			if (this.logging) log(this.name, "identified a pre-set " + tc + ": " + type + "[" + quantity + "] for " + n + "-scooping");

			// events and messages
			if (scr.isPlayer) {
				msg = wp._msgCargo(type, quantity); // has_scoop_message = no
				player.consoleMessage(msg, 6);
			}
		}
		if (this.logging) log(this.name, n + " scooped: " + type);
	}
}
